<?php

namespace src\inputs;

use src\traits\CreateParams;

class Button
{
    use CreateParams;
    private string $name;
    private string $value;
    private array $paramsArray;

    public function __construct(string $name, string $value, array $paramsArray = [])
    {
        $this->name = $name;
        $this->paramsArray = $paramsArray;
        $this->value = $value;
    }

    public function create(): void
    {
        $paramsString = $this->createParams($this->paramsArray);
        echo "<button name='$this->name' $paramsString>$this->value</button>";
    }

    public static function build(string $name, string $value, array $paramsArray = []): void
    {
        $input = new self($name, $value, $paramsArray);
        $input->create();
    }

}